<ul class="w-full flex flex-wrap my-5 pl-3 lg:px-4">
  <ng-container *ngFor="let feature of mainFeatures | keyvalue">
    <li class="p-2 mr-4 text-center w-fit" *ngIf="feature.value != 0">
      <ng-container *ngIf="feature.key === 'rooms'">
        <span class="flex flex-col items-center font-medium text-gray-600">
          <svg class="h-10 w-10 fill-odb-400 mb-2">
            <use xlink:href="#double-bed" />
          </svg>
          <h4>{{ feature.value }} hab.</h4>
        </span>
      </ng-container>
      <ng-container *ngIf="feature.key === 'baths'">
        <span class="flex flex-col items-center font-medium text-gray-600">
          <svg class="h-10 w-10 fill-odb-400 mb-2">
            <use xlink:href="#toilet" />
          </svg>
          <h4>
            {{ feature.value }} {{ feature.value === 1 ? 'baño' : 'baños' }}
          </h4>
        </span>
      </ng-container>
      <ng-container *ngIf="feature.key === 'age'">
        <span class="flex flex-col items-center font-medium text-gray-600">
          <svg class="h-10 w-10 fill-odb-400 mb-2">
            <use xlink:href="#wait" />
          </svg>
          <h4 class="leading-5">
            {{ feature.value }} años <br />
            antigûedad
          </h4>
        </span>
      </ng-container>
      <ng-container *ngIf="feature.key === 'constMts'">
        <span class="flex flex-col items-center font-medium text-gray-600">
          <svg class="h-10 w-10 fill-odb-400 mb-2">
            <use xlink:href="#blueprint" />
          </svg>
          <h4>{{ feature.value }} m²</h4>
        </span>
      </ng-container>
    </li>
  </ng-container>
</ul>
